net.sf.jasperreports.engine.export.ooxml

## Interface GenericElementXlsxHandler

- All Superinterfaces:
    GenericElementHandler
  All Known Implementing Classes:
    IconLabelElementXlsxHandler, MapElementXlsxHandler

      public interface GenericElementXlsxHandler
      extends GenericElementHandler

  A generic print element XLSX export handler.
  Version:
    $Id: GenericElementXlsxHandler.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportElement(JRXlsxExporterContext exporterContext, JRGenericPrintElement element, JRExporterGridCell gridCell, int colIndex, int rowIndex)` Exports a generic element.
    `JRPrintImage` | `getImage(JRXlsxExporterContext exporterContext, JRGenericPrintElement element)` Creates an equivalent image of the `JRGenericPrintElement` element to be exported instead.

    - ### Methods inherited from interface net.sf.jasperreports.engine.export.GenericElementHandler

      `toExport`

- - ### Method Detail

    - #### exportElement

          void exportElement(JRXlsxExporterContext exporterContext,
                           JRGenericPrintElement element,
                           JRExporterGridCell gridCell,
                           int colIndex,
                           int rowIndex)
                             throws JRException

      Exports a generic element.

      Access to the exporter output and environment is provided via the `JRXlsxExporterContext` argument.

      Parameters:
        `exporterContext` - the exporter context
        `element` - the generic element to export
      Throws:
        `JRException`

    - #### getImage

          JRPrintImage getImage(JRXlsxExporterContext exporterContext,
                              JRGenericPrintElement element)
                                throws JRException

      Creates an equivalent image of the `JRGenericPrintElement` element to be exported instead.
      Parameters:
        `element` - the generic element to export
      Returns:
        JRPrintImage the equivalent image
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com